<template>
	<view class="send-type padding-lr-sm dflex-b">
		<view class="send-label">配送方式</view>
		<view class="send-radio">
			<uni-data-checkbox v-model="value" :localdata="list" @change="radioChange" selectedColor="#F54319"></uni-data-checkbox>
		</view>
	</view>
</template>

<script>
	export default {
		name:"send-type",
		data() {
			return {
				value:1,
				list:[
					{
						text:"自提",
						value:1
					},
					// {
					// 	text:"配送",
					// 	value:2,
					//  disable:true
					// }
				]
			};
		},
		methods:{
			radioChange(v){
				this.$emit("sendTypeChange", v)
				
			}
		}
	}
</script>

<style lang="scss">
.send-type{
	width: 100%;
	background-color: #FFF;
	height: 100upx;
	box-sizing: border-box;
	.send-label{
		font-size: 14px;
		font-weight: 700;
	}
}
</style>